Name:          python-gpuctypes
Version:       0.2.0
Release:       1%{?dist}
Summary:       A low level GPU library for Python
License:       MIT
URL:           https://pypi.org/project/gpuctypes/
Source0:       %url/archive/%{version}.tar.gz#/gpuctypes-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Do you wish that there were simple wrappers for GPU libraries in Python?
Like not pyopencl, pycuda, and (HIP library someday?) here, but just raw
access to the APIs?

That's what gpuctypes does! While high level libraries have their place,
the world needs more low level libraries. Like gpuctypes. Welcome home.

%prep
%autosetup -p1 -n gpuctypes-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gpuctypes

%files -f %{pyproject_files}
%doc README.md

%changelog
* Fri Jan 12 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.0-1
- Initial package
